Hostgroups not attaching to Nodes

12/15/2011 12:50 PM - W. Andrew Loe III

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Web Interface   

Target version: 1.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I can choose it in the UI, but it does not 'stick'.

Associated revisions

Revision 7cec3f56 - 01/10/2012 03:38 PM - Ohad Levy

fixes #1399 - Hostgroups not attaching to Nodes

History

#1 - 12/15/2011 12:51 PM - W. Andrew Loe III

This is on the 'develop' branch.

#2 - 12/15/2011 01:40 PM - W. Andrew Loe III

This was a validation problem with puppetclasses in the host group not belonging to the node's environment. The validation didn't trip an error dialog,

but does raise inside rails.

#<OrderedHash {:puppetclasses=>["base does not belong to the master environment", "media does not belong to the master environment",

"primary-services does not belong to the master environment", "services does not belong to the master environment"]}>

Should probably amend this to just ensure we bubble this up.

#3 - 12/20/2011 06:49 AM - Ohad Levy

- Target version set to 1.0

#4 - 01/10/2012 03:40 PM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 7cec3f5681e7178d2258b89c43f41a5cc31927dc.
